Subject: Re: bug#70930: 29.3; emacs gives warning on startup

From: Stefan Kangas <[email-masked]>
Date: Fri, 28 Feb 2025 18:31:17 -0800

Eli Zaretskii <[email-masked]> writes:

>> Date: Mon, 13 May 2024 22:27:44 +0000 (UTC)
>> From:  Robert Thompson via "Bug reports for GNU Emacs,
>>  the Swiss army knife of text editors" <[email-masked]>
>>
>> Starting 'emacs', even 'emacs -Q', from the command line (eg a Terminal session) now gives
>> the following warning:
>> You are trying to run Emacs configured with the
>> "pure-GTK" interface under the X Windows System. That confituration is
>> unsupported and will lead to sporadic crashes during transfer of large
>> selection data. It will also lead to various problems with keyboard
>> input.
>> Install emacs-gtk+x11 or emacs-lucid package.
>>
>> But the packages are already installed:
>> $ sudo dnf install emacs-lucid
>> Fedora Core 40 - x86_64 - ATrpms                              0.0  B/s |   0  B     00:00
>> Error: Failed to download metadata for repo 'atrpms': repomd.xml parser error: Parse error at line: 1
>> (Document is empty
>> )
>> Ignoring repositories: atrpms
>> Last metadata expiration check: 2:39:08 ago on Mon 13 May 2024 12:32:09 PM PDT.
>> Package emacs-lucid-1:29.3-6.fc40.x86_64 is already installed.
>> Dependencies resolved.
>> Nothing to do.
>> Complete!
>> $ sudo dnf install emacs-gtk+x11
>> Fedora Core 40 - x86_64 - ATrpms                              0.0  B/s |   0  B     00:00
>> Error: Failed to download metadata for repo 'atrpms': repomd.xml parser error: Parse error at line: 1
>> (Document is empty
>> )
>> Ignoring repositories: atrpms
>> Last metadata expiration check: 2:40:57 ago on Mon 13 May 2024 12:32:09 PM PDT.
>> Package emacs-gtk+x11-1:29.3-6.fc40.x86_64 is already installed.
>> Dependencies resolved.
>> Nothing to do.
>> Complete!
>>
>> This started after I upgraded to Fedora Linus 40 (Workstation Edition)
>> Linux alfie 6.7.10-200.fc39.x86_64 #1 SMP PREEMPT_DYNAMIC Mon Mar 18 18:56:52 UTC 2024 x86_64
>> GNU/Linux
>>
>> Help?
>
> I think you should raise this issue with the maintainers of the Fedora
> distro.  We here don't know how Fedora organizes the packaging of the
> various variants of Emacs it distributes.
>
> Thanks.

Indeed, this is not a bug in Emacs.

I'm therefore closing this bug report.